Skip to main content
PATCH
Update an AI model config

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required
modelConfigKey
string
required

Body

application/json

AI model config object to update

id
string

Immutable provider model identifier. To use a different model identifier, create a new model config.

provider
string

Immutable model provider. To use a different provider, create a new model config.

name
string

Human-readable name of the model

costPerInputToken
number<double>

Cost per input token in USD

costPerOutputToken
number<double>

Cost per output token in USD

costPerCachedInputToken
number<double>

Cost per cached input token in USD

params
object
customParams
object
tags
string[]
maintainerId
string
Example:

"507f1f77bcf86cd799439011"

maintainerTeamKey
string
Example:

"example-team-key"

Response

Successful response

name
string
required

Human-readable name of the model

key
string
required

Unique key for the model

id
string
required

Identifier for the model, for use with third party providers

global
boolean
required

Whether the model is global

tags
string[]
required
version
integer
required
isRestricted
boolean
required

Whether the model is restricted

_access
object
Example:
_maintainer
object
Example:
icon
string

Icon for the model

provider
string

Provider for the model

params
object
customParams
object
costPerInputToken
number<double>

Cost per input token in USD

costPerOutputToken
number<double>

Cost per output token in USD

costPerCachedInputToken
number<double>

Cost per cached input token in USD

usedInCount
integer

Number of distinct AgentControl configs that reference this model